petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGMRESSetCGSRefinementType

Sets the type of iterative refinement to use in the classical Gram Schmidt orthogonalization.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetCGSRefinementType(KSP ksp,KSPGMRESCGSRefinementType type)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| type | - the type of refinement

### Options Database

-ksp_gmres_cgs_refinement_type <refine_never,refine_ifneeded,refine_always> -

### Keywords

KSP, GMRES, iterative refinement

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESGetCGSRefinementType(),
KSPGMRESGetOrthogonalization()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/gmres.c

### Implementations

KSPGMRESSetCGSRefinementType_GMRES in src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages